Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0007282 [DCSS] Bug Report minor random 2013-06-29 00:51 2013-08-25 01:40
Reporter Nivim View Status public  
Assigned To KiloByte
Priority normal Resolution done  
Status resolved   Product Branch 0.13 ancient branch
Summary 0007282: Wanderers do not always check that starting items can be [w/W]ed together.
Description Specifically, there have been at least two cases (a GrWn by me and a SpWn by Yermak), each starting the game wielding a quarterstaff and a wearing a shield. Un[w/W]ing the either item results in being unable to re-equip as usual.

I'm not sure if "Reproducibility: random" is the right classification, but it does convey how much of a pain it is to make it happen again.
Additional Information
Tags has patch
Attached Files ? file icon 0001-Prevent-wanderers-from-wielding-2h-shield.patch [^] (3,228 bytes) 2013-07-01 12:38 [Show Content]
? file icon 0001-Prevent-wanderers-from-wielding-2h-shield2.patch [^] (3,666 bytes) 2013-07-01 12:54 [Show Content]

- Relationships
has duplicate 0007929resolvedwheals A character can initially start game wearing shield and wielding 2-handed weapon 

-  Notes
(0023365)
pubby (reporter)
2013-07-01 12:39
edited on: 2013-07-01 12:54

Uploaded a patch which should fix this. (use the second patch)

(0023865)
KiloByte (manager)
2013-08-25 01:40

Applied, blindly. Forgive me for not trying to reproduce it :p

- Issue History
Date Modified Username Field Change
2013-06-29 00:51 Nivim New Issue
2013-07-01 12:38 pubby File Added: 0001-Prevent-wanderers-from-wielding-2h-shield.patch
2013-07-01 12:39 pubby Note Added: 0023365
2013-07-01 12:54 pubby File Added: 0001-Prevent-wanderers-from-wielding-2h-shield2.patch
2013-07-01 12:54 pubby Note Edited: 0023365
2013-07-05 18:58 mumra Tag Attached: has patch
2013-08-05 18:04 MarvinPA Issue Monitored: MarvinPA
2013-08-25 01:40 KiloByte Note Added: 0023865
2013-08-25 01:40 KiloByte Status new => resolved
2013-08-25 01:40 KiloByte Fixed in Branch => 0.13 development branch
2013-08-25 01:40 KiloByte Resolution open => done
2013-08-25 01:40 KiloByte Assigned To => KiloByte
2013-08-27 19:55 MarvinPA Issue End Monitor: MarvinPA
2013-12-28 19:31 neil Relationship added has duplicate 0007929


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker